Bug 75710 - bind startup script does not allow /etc/named.conf to be a symlink
Summary: bind startup script does not allow /etc/named.conf to be a symlink
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-11 12:01 UTC by Paul Gear
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 19:53:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to /etc/init.d/named (663 bytes, patch)
2002-10-11 12:01 UTC, Paul Gear
no flags Details | Diff

Description Paul Gear 2002-10-11 12:01:18 UTC
Description of Problem:
bind startup script does not allow /etc/named.conf to be a symlink

Version-Release number of selected component (if applicable):
bind-9.2.1-9

How Reproducible:
Every time

Steps to Reproduce:
1. cd /etc
2. mkdir named.data
3. mv named.conf named.data
4. ln -s named.data/named.conf .
5. service named start

Actual Results:
named not started

Expected Results:
named started

Additional Information:
The startup script should check for its requirements using more flexible test
operations.  Attached is a suggested patch.

Comment 1 Paul Gear 2002-10-11 12:01:55 UTC
Created attachment 79945 [details]
Patch to /etc/init.d/named

Comment 2 Daniel Walsh 2003-01-06 20:32:54 UTC
Fixed in bind-9.2.1-12


Note You need to log in before you can comment on or make changes to this bug.